import { Plugin, ToolbarItemType } from '../plugin';
export declare class PrintPlugin extends Plugin {
    readonly resolution: number;
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    private printService?;
    private printAnnotationStoragePromise?;
    constructor(resolution?: number);
    get scriptingManager(): import('../scripting').ScriptingManager | undefined;
    get supportsPrinting(): boolean;
    protected init(): void;
    protected destroy(): void;
    triggerPrint(): void;
    private onBeforePrint;
    private onAfterPrint;
    private setupAutoPrint;
}
